Android Gingerbread enterré par les Google Play Services

Le par  |  7 commentaire(s)
Android-Gingerbread

Avec la dernière mise à jour des services Google Play, Android 2.3.x est une version définitivement obsolète pour les applications.

Sur Android, les services Google Play passent en version 10.2 avec des changements qui concernent les développeurs. Parmi ceux-ci, la possibilité pour les développeurs de jeux d'utiliser l'API Google Sign-in avec l'authentification côté serveur, de nouveaux types de données de santé pour Google Fit, ou encore des améliorations avec la fonctionnalité Smart Lock pour les mots de passe intégrée dans les applications.

Android-logoCette mouture 10.2 des Google Play Services marque en outre la dépréciation de la version 2.3.x d'Android. De fait, Android Gingerbread est définitivement obsolète. Ce n'est pas une surprise, cette dépréciation avait déjà été annoncée aux développeurs l'année dernière et devait prendre effet au début de cette année.

Les développeurs ne peuvent dorénavant plus tirer parti des nouveautés des Google Play Services pour leurs applications. Rappelons que les services Google Play jouent un rôle dans le problème de fragmentation d'Android que Google souhaite ainsi pallier (en partie). Dans les faits, nombre de développeurs avaient déjà mis un terme au support de Gingerbread dans leurs applications.

Selon les derniers chiffres publiés par Google, le taux d'adoption d'Android 2.3.x est de 1 %.

Complément d'information

Vos commentaires

Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Le #1952802
Enfin, il était pas trop tôt !
Il faut que les devs utilisent les SDK plus récents et plus performants.

Beaucoup d'applis semblent moins performantes que leur équivalent iOS, c'est en grande partie à cause de ça.
Une appli dédiée 5.x, 6.x est autrement plus performante !
Le #1952810
skynet a écrit :

Enfin, il était pas trop tôt !
Il faut que les devs utilisent les SDK plus récents et plus performants.

Beaucoup d'applis semblent moins performantes que leur équivalent iOS, c'est en grande partie à cause de ça.
Une appli dédiée 5.x, 6.x est autrement plus performante !


Encore faut-il que l'association de malfaiteurs Google/constructeur autorise l'utilisateur à mettre son système à jour.
Le #1952816
alucardx77 a écrit :

skynet a écrit :

Enfin, il était pas trop tôt !
Il faut que les devs utilisent les SDK plus récents et plus performants.

Beaucoup d'applis semblent moins performantes que leur équivalent iOS, c'est en grande partie à cause de ça.
Une appli dédiée 5.x, 6.x est autrement plus performante !


Encore faut-il que l'association de malfaiteurs Google/constructeur autorise l'utilisateur à mettre son système à jour.


Un phone vieux de 10 ans ? Non .... plus la peine
Le #1952821
alucardx77 a écrit :

skynet a écrit :

Enfin, il était pas trop tôt !
Il faut que les devs utilisent les SDK plus récents et plus performants.

Beaucoup d'applis semblent moins performantes que leur équivalent iOS, c'est en grande partie à cause de ça.
Une appli dédiée 5.x, 6.x est autrement plus performante !


Encore faut-il que l'association de malfaiteurs Google/constructeur autorise l'utilisateur à mettre son système à jour.


La remarque est juste, les MAJ sont distribuées au compte goute et les constructeurs ne les diffusent pas pour des smartphone encore dans la fleur de l'âge (parfois même avec du retard dès la commercialisation !) ce qui fait que les développeurs sont obligés de s'adapter et utilisent les API Android les plus basses pour toucher un max de monde donc moins performantes et offrant moins de possibilités ...

Bref les effets de bords de la fragmentation Android dans toute sa splendeur.
Le #1952852
FFFeu a écrit :

alucardx77 a écrit :

skynet a écrit :

Enfin, il était pas trop tôt !
Il faut que les devs utilisent les SDK plus récents et plus performants.

Beaucoup d'applis semblent moins performantes que leur équivalent iOS, c'est en grande partie à cause de ça.
Une appli dédiée 5.x, 6.x est autrement plus performante !


Encore faut-il que l'association de malfaiteurs Google/constructeur autorise l'utilisateur à mettre son système à jour.


La remarque est juste, les MAJ sont distribuées au compte goute et les constructeurs ne les diffusent pas pour des smartphone encore dans la fleur de l'âge (parfois même avec du retard dès la commercialisation !) ce qui fait que les développeurs sont obligés de s'adapter et utilisent les API Android les plus basses pour toucher un max de monde donc moins performantes et offrant moins de possibilités ...

Bref les effets de bords de la fragmentation Android dans toute sa splendeur.


Oui mais là on parle d'un OS de 10 ans d'âge ...
Les phones qui le faisaient tourner auraient bien du mal avec un Nougat et les applis qui ont pris de l'embonpoint aujourd'hui


Le #1952968
en fait la majorité des gens font la même erreurs que sur pc ...réfléchissez...comment une applis de maintenant qui tourne avec mémoires,quatre coeure,etc...pourrait tourner sur un smartphone de dix ans d'age? comme pour les os..etc...comme si je voulais simplement que mon pentium 4 512 mo ram pouvait faire tourner win 10 ? c'est a windows de s'adapter ? ou a firefox car ça rame sur internet ?avec toutes ses pubs qui bouffent tout mon internet(bande passante donc giga octets par moi rien qu'en pubs)....donc les gens veulent avoir un vieux portable de 10 ans et que tout marche dessus nickel en 2017....
bref suis d'accord avec vous...il était temps...car je sais pas vous mais sur pc ou tablettes,ou pour vous téléphone portable....ben j'en ai marre que mes potes(garçon ou filles) me dise attend je t'entends pas(skype,messenger,facebook,etc..) parce qu’ils ont tout qui date de 5 a 10 ans (voir plus) et qu'ils te disent : non moi j'ai rien touché tout est bon ça vient de ton pc ou tablette faut leurs piquer et jeter tout ces vieux trucs
Le #1952980
olivier42 a écrit :

en fait la majorité des gens font la même erreurs que sur pc ...réfléchissez...comment une applis de maintenant qui tourne avec mémoires,quatre coeure,etc...pourrait tourner sur un smartphone de dix ans d'age? comme pour les os..etc...comme si je voulais simplement que mon pentium 4 512 mo ram pouvait faire tourner win 10 ? c'est a windows de s'adapter ? ou a firefox car ça rame sur internet ?avec toutes ses pubs qui bouffent tout mon internet(bande passante donc giga octets par moi rien qu'en pubs)....donc les gens veulent avoir un vieux portable de 10 ans et que tout marche dessus nickel en 2017....
bref suis d'accord avec vous...il était temps...car je sais pas vous mais sur pc ou tablettes,ou pour vous téléphone portable....ben j'en ai marre que mes potes(garçon ou filles) me dise attend je t'entends pas(skype,messenger,facebook,etc..) parce qu’ils ont tout qui date de 5 a 10 ans (voir plus) et qu'ils te disent : non moi j'ai rien touché tout est bon ça vient de ton pc ou tablette faut leurs piquer et jeter tout ces vieux trucs


CQFD
Suivre les commentaires
Poster un commentaire
Anonyme
:) ;) :D ^^ 8) :| :lol: :p :-/ :o :w00t: :roll: :( :cry: :facepalm:
:andy: :annoyed: :bandit: :alien: :ninja: :agent: :doh: :@ :sick: :kiss: :love: :sleep: :whistle: =]